com.amazon.redshift.core.v3

## Class MessageLoopState

- java.lang.Object
- - com.amazon.redshift.core.v3.MessageLoopState

    public class MessageLoopState
    extends Object

Keep the state of the message loop for Ring Buffer to work on separate thread. This is use in processResult(). It store all local vars of processResult() methods, so it can process in multiple threads.

Author:
  igarish

### Constructor Summary

Constructors
Constructor and Description
`MessageLoopState()`
`MessageLoopState(RedshiftRowsBlockingQueue<Tuple> queueTuples, boolean doneAfterRowDescNoData)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageLoopState

    public MessageLoopState()

#### MessageLoopState

    public MessageLoopState(RedshiftRowsBlockingQueue<Tuple> queueTuples,
                            boolean doneAfterRowDescNoData)